> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.trypila.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Load Card

> This endpoint is used to fund virtual card

Load Card

```text [POST] theme={null}
{{baseUrl}}/api/v1/card/virtual/load
```

### Header

| Header | Type | Description |
| - | - | - |
| AppId | string | you would need to create an app to get your app ID |
| Authorization | string | Your private (secret) key |

### Body parameter

| Parameter | Type | Description |
| - | - | - |
| card\_id *required* | string | Card Id |
| amount *required* | string | Amount to load on the card |

### Sample response

```json Response theme={null}
{
    "entity": {
        "data": {
            "amountLimit": 40,
            "cardId": "5a049649-9dce-49d7-90d2-08dd08e9829e",
            "cardBrand": null,
            "cardClass": null,
            "limitWindow": "LIFETIME",
            "expirationDate": "2027-11-20T00:00:00",
            "expiration": "1127",
            "terminateDate": null,
            "currencyCode": "USD",
            "firstSix": "556371",
            "lastFour": "4910",
            "status": "Card - Active",
            "midWhitelist": [],
            "midBlacklist": [
                "244815000156182",
                "720000866043001",
                "8029612713",
                "653990701861820"
            ],
            "gatewayMerchantGuid": "9ec18b1a-fc6a-4e72-a62a-a91bcfcdcdef",
            "availableBalance": 40,
            "isPhysical": false
        },
        "cardTransactionId": 6675,
        "amountDebited": 30,
        "rate": 1,
        "transactionWallet": "3310017031",
        "balanceBeforeTermination": 0,
        "blockedByAdmin": false,
        "isSuccessful": true,
        "responseMessage": "Card Top Up Successful",
        "responseCode": "000"
    }
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.